Ignore:
Timestamp:
Dec 16, 2014, 5:05:01 AM (5 years ago)
Author:
dports@…
Message:

lilypond-devel: change guile dependency to guile18; see #29307

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/textproc/lilypond-devel/Portfile

    r128252 r129582  
    3939                    port:gmp \
    4040                    port:mftrace \
    41                     port:guile \
     41                    port:guile18 \
    4242                    port:texinfo \
    4343                    path:lib/pkgconfig/pango.pc:pango \
     
    5757post-patch {
    5858    reinplace s|__vector|lily_vector|g ${worksrcpath}/flower/include/std-vector.hh
     59   
     60    # Use guile18 header files
     61    reinplace s|libguile\.h|libguile18.h|g ${worksrcpath}/configure \
     62        ${worksrcpath}/lily/include/lily-guile.hh
    5963}
    6064
     
    6266    --enable-documentation
    6367configure.env       LTDL_LIBRARY_PATH=${prefix}/lib \
    64                     PYTHON_CONFIG=${configure.python}-config
     68    PYTHON_CONFIG=${configure.python}-config \
     69    GUILE=${prefix}/bin/guile18 \
     70    GUILE_CONFIG=${prefix}/bin/guile18-config \
     71    GUILE_TOOLS=${prefix}/bin/guile18-tools
    6572
    6673build.env           LTDL_LIBRARY_PATH=${prefix}/lib
Note: See TracChangeset for help on using the changeset viewer.